Summary: A GNU stream text editor.
Name: sed
Version: 4.0.9
Release: 3tr
License: GPL
Group: Trustix Official
Source0: ftp://ftp.gnu.org/gnu/sed/sed-%{version}.tar.gz
Prereq: htmlinfo
BuildRequires: texinfo
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%prep
%setup -q

%build
%configure --exec-prefix=%{_prefix} \
	--mandir='%{_mandir}' \
	--bindir=/bin
make LDFLAGS=-s
cd doc
makeinfo --html --no-split sed.texi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/share/html/sed

make prefix=$RPM_BUILD_ROOT/%{_prefix} \
	exec_prefix=$RPM_BUILD_ROOT/%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT install

install -m644 doc/sed.html $RPM_BUILD_ROOT/usr/share/html/sed/

( cd $RPM_BUILD_ROOT
  mkdir ./bin
  mv ./usr/bin/sed ./bin/sed
  rmdir ./usr/bin
  rm -f ./usr/share/info/dir
)

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS NEWS README TODO THANKS
/bin/sed 
/usr/share/html/sed
/usr/share/man/man1/sed.1*

%changelog
* Sat Feb  7 2004 Omar Kilani <ok at trustix dot org> 4.0.9-1ok
- New upstream.

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 4.0.8-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.02-10tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.02-9em
- Rebuilt against glibc 2.3.2.

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 3.02-8ct
- Replaced info with htmlinfo

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 3.02-7dm
- rebuild for Trustix Secure Linux 2.0

* Tue Jan 25 2000 Tore Olsen <toreo at trustix dot com>
- moved /usr/{man,info} to /usr/share/{man,info} for FHS compliance

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Tue Aug 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.02

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.01

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- removed references to the -g option from the man page that we add

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups
- added BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
